Page MenuHomeSolus

PgAdmin 3 not working with postgres 10
Closed, DuplicatePublic

Description

The current version of pgAdmin in the repository not working with the postgresql 10.

Event Timeline

JoshStrobl added a subscriber: JoshStrobl.EditedAug 13 2019, 11:17 AM

That's because pgadmin3 is compatible up to 9.5, not with 10.x, for that pgadmin 4 is necessary, however nobody has stepped up to package and maintain it.

JoshStrobl closed this task as a duplicate of T5182: pgadmin4.Aug 13 2019, 11:17 AM

so At least remove the package at the moment . because it is not working . people always mark solus as the operating system that it's just works . it was frustrating for me to see this problem.

JoshStrobl added a comment.EditedAug 13 2019, 11:33 AM

@amirnweb Except pgAdmin3 can also be used to manage remote postgresql instances / databases. Let's not just assume it's used solely for local usage. That isn't to say I'm opposed to deprecating it, but I'm not going to do that until someone actually starts providing and maintaining pgadmin4.

@amirnweb as a workaround, you could use DBeaver if you want.